--- src/tray_dbus.h.orig	2020-03-17 00:36:31.000000000 -0700
+++ src/tray_dbus.h	2020-07-22 09:16:23.849398442 -0700
@@ -1,6 +1,14 @@
 #ifndef _DBUS_SERVER_H
 #define _DBUS_SERVER_H
 
+/* If glib does not support immediate return in case of bus
+ * name being owned by some other connection (glib < 2.54),
+  * fall back to a default behavior - enter waiting queue. */
+#ifndef G_BUS_NAME_OWNER_FLAGS_DO_NOT_QUEUE
+# define G_BUS_NAME_OWNER_FLAGS_DO_NOT_QUEUE \
+  	G_BUS_NAME_OWNER_FLAGS_NONE
+#endif
+
 gboolean tray_dbus_server_check_running(gboolean toggle);
 guint tray_dbus_server_new(GdkWindow *win);
 void tray_dbus_server_destroy(guint owner_id);
